# Class: Cluster

## Cluster

#### new Cluster(mc)

  Creates a single cluster that manages a group of proximate markers.
  Used internally, do not call this constructor directly.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `mc` | MarkerClusterer | The `MarkerClusterer` object with which this cluster is associated.

  Source:
    - utils/v3-utility-library-master/markerclustererplus/src/markerclusterer.js, line 317

### Methods

#### calculateBounds_()

  Calculates the extended bounds of the cluster with the grid.

  Source:
    - utils/v3-utility-library-master/markerclustererplus/src/markerclusterer.js, line 490

#### getCenter()

  Returns the center of the cluster. You can call this from
  a `click`, `mouseover`, or `mouseout` event handler
  for the `MarkerClusterer` object.

  Source:
    - utils/v3-utility-library-master/markerclustererplus/src/markerclusterer.js, line 361

  ##### Returns:

  The center of the cluster.

  Type
    google.maps.LatLng

#### getMarkers()

  Returns the array of markers managed by the cluster. You can call this from
  a `click`, `mouseover`, or `mouseout` event handler
  for the `MarkerClusterer` object.

  Source:
    - utils/v3-utility-library-master/markerclustererplus/src/markerclusterer.js, line 349

  ##### Returns:

  The array of markers in the cluster.

  Type
    Array

#### getSize()

  Returns the number of markers managed by the cluster. You can call this from
  a `click`, `mouseover`, or `mouseout` event handler
  for the `MarkerClusterer` object.

  Source:
    - utils/v3-utility-library-master/markerclustererplus/src/markerclusterer.js, line 337

  ##### Returns:

  The number of markers in the cluster.

  Type
    number

#### isMarkerAlreadyAdded_(marker)

  Determines if a marker has already been added to the cluster.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `marker` | google.maps.Marker | The marker to check.

  Source:
    - utils/v3-utility-library-master/markerclustererplus/src/markerclusterer.js, line 528

  ##### Returns:

  True if the marker has already been added.

  Type
    boolean

#### updateIcon_()

  Updates the cluster icon.

  Source:
    - utils/v3-utility-library-master/markerclustererplus/src/markerclusterer.js, line 499

#### Search results